ru.bitel.bgbilling.kernel.tariff.option.server.event

## Class ContractTariffOptionChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.tariff.option.server.event.ContractTariffOptionChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractTariffOptionChangedEvent
      extends Event

  Событие-топик, оповещающее всех, что набор тарифных опций на договоре изменился.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPTION_ACTIVATED`
    `static int` | `OPTION_DEACTIVATED`
    `static int` | `OPTION_DELETED`
    `static int` | `OPTION_REACTIVATED`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractTariffOptionChangedEvent()`
    `` | `ContractTariffOptionChangedEvent(int contractId, int userId, int state, ContractTariffOption contractTariffOption)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractTariffOption` | `getContractTariffOption()`
    `int` | `getState()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPTION_ACTIVATED

          public static final int OPTION_ACTIVATED

      See Also:
        Constant Field Values

    - #### OPTION_DEACTIVATED

          public static final int OPTION_DEACTIVATED

      See Also:
        Constant Field Values

    - #### OPTION_REACTIVATED

          public static final int OPTION_REACTIVATED

      See Also:
        Constant Field Values

    - #### OPTION_DELETED

          public static final int OPTION_DELETED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractTariffOptionChangedEvent

          protected ContractTariffOptionChangedEvent()

    - #### ContractTariffOptionChangedEvent

          public ContractTariffOptionChangedEvent(int contractId,
                                                  int userId,
                                                  int state,
                                                  ContractTariffOption contractTariffOption)

  - ### Method Detail

    - #### getState

          public int getState()

    - #### getContractTariffOption

          public ContractTariffOption getContractTariffOption()